2008/09/10

非 root 手動安裝 shockwave flash @ x86_64 奮戰筆記

問題:
./flashplayer-installer

ERROR: Your architecture, \'x86_64\', is not supported by the
Adobe Flash Player installer.

解釋:
直接把 Adobe Flash Player 9 的安裝檔拿來裝是不行的
shockwave flash 在64位元的電腦,還沒有出可以相容的安裝程式,所以要換個方法

解決辦法:
把 32 位元的flash player拿來用

電腦系統:
Scientific Linux 5.0

要下載的軟體有:
1. nspluginwrapper 1.0.0
2. Adobe Flash Player 9,選擇.tar.gz for linux

安裝:
> tar xjvf nspluginwrapper-1.0.0.tar.bz2
> cd nspluginwrapper-1.0.0
> ./configure --prefix={有安裝權限的目錄}
> make
> make install
> make clean

> tar xzvf install_flash_player_9_linux.tar.gz
> cd install_flash_player_9_linux
> mv libflashplayer.so {有安裝權限的目錄}/lib/

# install .so
> cd {有安裝權限的目錄}/bin
> nspluginwrapper -i {有安裝權限的目錄}/lib/libflashplayer.so
# update
nspluginwrapper -v -a -u

最後重開 firefox


參考網址:
1. AmJet IT Blog » Fedora 7 x64 上 flash player 的解決方案
2. nspluginwrapper [Web > Gwenole Beauchesne]
3. x86_64 flash 9 plugin on ubuntu 7.04:工作小錦囊:Xuite日誌

No comments:

Post a Comment

##EasyReadMore##

被我監控的 Blog